SeExpr

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
SeExpr2::ExprVectorAssignSpec Class Reference

Variable equals vector control specification. More...

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::ExprVectorAssignSpec:

## Public Member Functions
| ExprVectorAssignSpec (const ExprAssignNode &node)
virtual std::string | toString () const
| Generates a replacement string based on changes to the spec. More...
const Vec3d & | value () const
Public Member Functions inherited from SeExpr2::ControlSpec
| ControlSpec (const ExprNode &node)
virtual | ~ControlSpec ()

## Static Public Member Functions
static const ExprVectorAssignSpec * | match (const ExprNode *node)

## Private Attributes
double | _min
| Range of values. More...
double | _max
Vec3d | _val
| Current Value. More...

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ControlSpec
std::string | _name
| Name of control. More...
int | _start
| Start position of text in original source. More...
int | _end
| End position of text in original source. More...

## Detailed Description

Variable equals vector control specification.

Definition at line 70 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ExprVectorAssignSpec()

SeExpr2::ExprVectorAssignSpec::ExprVectorAssignSpec | ( | const ExprAssignNode & | node | ) |

Definition at line 115 of file ControlSpec.cpp.

References _max, _min, SeExpr2::ControlSpec::_name, SeExpr2::findComment(), and SeExpr2::ExprAssignNode::name().

Referenced by match().

## Member Function Documentation

## ◆ match()

const ExprVectorAssignSpec * SeExpr2::ExprVectorAssignSpec::match | ( | const ExprNode * | node | ) |
| static

Definition at line 152 of file ControlSpec.cpp.

References ExprVectorAssignSpec(), and SeExpr2::isVectorAssign().

Referenced by SeExpr2::SpecExaminer::examine().

## ◆ toString()

std::string SeExpr2::ExprVectorAssignSpec::toString | ( |  | ) | const
| virtual

Generates a replacement string based on changes to the spec.

Implements SeExpr2::ControlSpec.

Definition at line 129 of file ControlSpec.cpp.

References _max, _min, SeExpr2::ControlSpec::_name, and value().

## ◆ value()

const Vec3d& SeExpr2::ExprVectorAssignSpec::value | ( |  | ) | const
| inline

Definition at line 74 of file ControlSpec.h.

References _val.

Referenced by toString().

## Member Data Documentation

## ◆ _max

double SeExpr2::ExprVectorAssignSpec::_max
| private

Definition at line 81 of file ControlSpec.h.

Referenced by ExprVectorAssignSpec(), and toString().

## ◆ _min

double SeExpr2::ExprVectorAssignSpec::_min
| private

Range of values.

Definition at line 81 of file ControlSpec.h.

Referenced by ExprVectorAssignSpec(), and toString().

## ◆ _val

Vec3d SeExpr2::ExprVectorAssignSpec::_val
| private

Current Value.

Definition at line 83 of file ControlSpec.h.

Referenced by value().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.cpp